Name: startcom-logos
Summary: StartCom Linux related icons and pictures.
Version: 1.1.42
Release: 1%{?dist}
Group: System Environment/Base
Source0: startcom-logos-%{version}.tar.gz
License: Copyright  2004-2006 StartCom Ltd. All rights reserved.
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Obsoletes: startcom-logos
Provides: startcom-logos
Provides: system-logos
conflicts: kdebase <= 3.1.5
Conflicts: anaconda-images <= 10

%description
The startcom-logos package (the "Packages") contains image files for
StartCom Linux
The RPM logo and related logo is a registered trademarks and copyright
of Red Hat, Inc. 
All other files and images are the copyright of StartCom Ltd.

See the included COPYING file for information on copying and
redistribution.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/startcom
for i in startcom-pixmaps/*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/startcom
done
(cd $RPM_BUILD_ROOT%{_datadir}/pixmaps; \
ln -s startcom redhat)
(cd $RPM_BUILD_ROOT%{_datadir}/pixmaps/startcom; \
for i in *-mini.xpm; do \
  linkfile=`echo $i | sed -e "s/\(.*\)-mini/mini-\1/"` ; \
  ln -s $i $linkfile ; \
done)

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 bootloader/grub-splash.xpm.gz $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhgb
for i in rhgb/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/rhgb
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver/themes
for i in gnome-screensaver/themes/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver/themes
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/BlueCurve
for i in kde-splash/BlueCurve/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/BlueCurve
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

for size in 16x16 24x24 32x32 36x36 48x48 96x96 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
    pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
    ln -s ../../../hicolor/$size/apps/startcom-logo-icon.png icon-panel-menu.png
    ln -s ../../../hicolor/$size/apps/startcom-logo-icon.png gnome-main-menu.png
    ln -s ../../../hicolor/$size/apps/startcom-logo-icon.png kmenu.png
    ln -s ../../../hicolor/$size/apps/startcom-logo-icon.png gnome-logo-icon-transparent.png
    popd
  done
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve
for i in gdm/Bluecurve/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/FedoraBubbles
for i in gdm/FedoraBubbles/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gdm/themes/FedoraBubbles
done


# kdmtheme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/kdm/themes/Bluecurve
pushd $RPM_BUILD_ROOT%{_datadir}/apps/kdm/themes/Bluecurve
ln -s ../../../../gdm/themes/Bluecurve/rh_logo-header.png .
ln -s ../../../../gdm/themes/Bluecurve/screenshot.png
popd

ln -s ../../firstboot/pixmaps/shadowman-round-48.png \
 $RPM_BUILD_ROOT%{_datadir}/pixmaps/startcom/

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_datadir}/firstboot
%{_datadir}/apps/ksplash/Themes/BlueCurve
%{_datadir}/pixmaps
%{_datadir}/gdm
%{_datadir}/apps/kdm/themes/Bluecurve
%{_datadir}/rhgb
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/icons
%{_datadir}/gnome-screensaver/themes/*

/usr/lib/anaconda-runtime/boot/*png
/usr/lib/anaconda-runtime/*.sh
# should be ifarch i386
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Mon Apr 24 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Build for StartCom Linux 5.0.x

